Subject: RE: [DUG]: Annoyance: Auto Create form list
From: James Low <[email-masked]>
To: Multiple recipients of list delphi <[email-masked]>
Date: Wed, 23 May 2001 10:17:27 +1200

Exactly. So to get the form to load automatically I add a line (after the
datamodule loads) along these lines:

Application.CreateForm(tmyForm, MyForm);

even then, after I have traced through the running code, the form is still
not in the listing (and as far as the Project information is concerned - is
not an autocreate form). The DPR has the right references to the pas.

So: Available Units in my project might be (using the little button on the
toolbar):
	Form1U
	Form2U
	myFormU

Available forms (other button)
	Form1
	Form2

If I open myFormU I can switch to the form ... but it is not there in the
list of available forms.

Hardly the end of the world - but I am curious (this is D5 Pro).

-----Original Message-----
From: Alan Rose [mailto:[email-masked]]
Sent: 23 May 2001 09:38
To: Multiple recipients of list delphi
Subject: RE: [DUG]: Annoyance: Auto Create form list

Are you saying if you use the "Add to project" (Shift+F11) button to add
your form to the project. The form still wont appear in the list? In your
project file (.dpr) there should be a reference to this forms pas file.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On
Behalf Of James Low
Sent: Wednesday, May 23, 2001 8:24 AM
To: Multiple recipients of list delphi
Subject: [DUG]: Annoyance: Auto Create form list

I have a project in which one of the forms point blank refuses to play ball
and become part of the IDE available forms/ autocreate forms list. Not a
problem as I can add its reference/ instantiate it in the Program unit ...
but I am at a loss to understand why? I can add its unit to the project ...
but no go. Its just not there in the list.

The program runs fine notwithstanding.

Any ideas where I should look to sort this (all my units are in the same
directory).

Cheers
---------------------------------------------------------------------------
    New Zealand Delphi Users group - Delphi List - [email-masked]
                  Website: http://www.delphi.org.nz
To UnSub, send email to: [email-masked]
with body of "unsubscribe delphi"

---------------------------------------------------------------------------
    New Zealand Delphi Users group - Delphi List - [email-masked]
                  Website: http://www.delphi.org.nz
To UnSub, send email to: [email-masked] 
with body of "unsubscribe delphi"
---------------------------------------------------------------------------
    New Zealand Delphi Users group - Delphi List - [email-masked]
                  Website: http://www.delphi.org.nz
To UnSub, send email to: [email-masked] 
with body of "unsubscribe delphi"